### Constructor

# Gtk Constraint new_constant

#### Declaration [src]

    GtkConstraint*
    gtk_constraint_new_constant (
      GtkConstraintTarget* target,
      GtkConstraintAttribute target_attribute,
      GtkConstraintRelation relation,
      double constant,
      int strength
    )

#### Description [src]

Creates a new constraint representing a relation between a layout attribute on a target and a constant value.

#### Parameters

`target` | `GtkConstraintTarget`
| A the target of the constraint.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`target_attribute` | `GtkConstraintAttribute`
| The attribute of `target` to be set.
`relation` | `GtkConstraintRelation`
| The relation equivalence between `target_attribute` and `constant`.
`constant` | `double`
| A constant factor to be set on `target_attribute`.
`strength` | `int`
| The strength of the constraint.

#### Return value

Returns: | `GtkConstraint`
| The newly created constraint.
| The caller of the function takes ownership of the data, and is responsible for freeing it.